---
- name: Deploy_prometheus_server
  hosts: prometheus
  vars:
    mode: "all"
  become: true
  become_method: sudo
  become_flags: '-E -S -n'
  tasks:
    - name: Include node exporter role
      ansible.builtin.include_role:
        name: node_exporter
      when: mode == "exporter" or mode == "all"
  roles:
    - updatehosts
    - prometheus
